<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_light_grey_color"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/colorPrimaryDark">

        <include layout="@layout/title_bar_with_back_and_option" />
    </RelativeLayout>


    <LinearLayout
        android:id="@+id/layout_group_name"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="12dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/group_name"
            android:textColor="@color/dark_grey"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_group_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:singleLine="true"
            android:gravity="right"
            android:textColor="@color/grey"
            android:textSize="16sp" />

        <ImageView
            android:id="@+id/iv_group_name_modify"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_marginRight="12dp"
            android:src="@drawable/arrow_right"
            android:visibility="invisible"/>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_group_member"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="12dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/group_member"
            android:textColor="@color/dark_grey"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_group_member"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="right"
            android:textColor="@color/grey"
            android:textSize="16sp" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="12dp"
            android:layout_marginRight="12dp"
            android:src="@drawable/arrow_right" />
    </LinearLayout>

    <HorizontalScrollView
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@color/white"
        android:paddingLeft="6dp"
        android:paddingRight="6dp"
        android:scrollbars="none">

        <LinearLayout
            android:id="@+id/layout_member_avatars"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal" />
    </HorizontalScrollView>

    <LinearLayout
        android:id="@+id/layout_group_qr"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="12dp">

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/group_qrcode"
            android:textColor="@color/dark_grey"
            android:textSize="16sp" />


        <ImageView
            android:layout_width="32dp"
            android:layout_height="32dp"
            android:src="@drawable/qrcode" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_marginRight="12dp"
            android:src="@drawable/arrow_right" />
    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="12dp">

        <TextView
            android:id="@+id/tv_group_lock"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/group_lock"
            android:textColor="@color/dark_grey"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/tv_group_lock_hint"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_weight="1"
            android:text="@string/group_lock"
            android:textColor="@color/grey"
            android:textSize="14sp" />

        <ToggleButton
            android:id="@+id/toggle_group_lock"
            android:layout_width="54dp"
            android:layout_height="40dp"
            android:layout_marginRight="12dp"
            android:background="@drawable/toggle_button_selector"
            android:checked="true"
            android:gravity="center"
            android:textColor="@color/white"
            android:textOff="@null"
            android:textOn="@null"
            android:visibility="invisible" />

    </LinearLayout>


</LinearLayout>